SolrInputDocument::reset
SolrInputDocument::setFieldBoost
SolrInputDocument
PHP Manual

# SolrInputDocument::setBoost

Sets the boost value for this document

### Description

public bool SolrInputDocument::setBoost ( float `$documentBoostValue` )

Sets the boost value for this document.

### Parameters

`documentBoostValue`

  The index-time boost value for this document.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.